GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_lb_policy_vtable Struct Reference

`#include <lb_policy.h>`

## Data Fields
void(* | destroy )(grpc_lb_policy *policy)
void(* | shutdown )(grpc_lb_policy *policy)
void(* | pick )(grpc_lb_policy *policy, grpc_pollset *pollset, grpc_metadata_batch *initial_metadata, grpc_subchannel **target, grpc_iomgr_closure *on_complete)
| implement grpc_lb_policy_pick More...
void(* | exit_idle )(grpc_lb_policy *policy)
| try to enter a READY connectivity state More...
void(* | broadcast )(grpc_lb_policy *policy, grpc_transport_op *op)
| broadcast a transport op to all subchannels More...
grpc_connectivity_state(* | check_connectivity )(grpc_lb_policy *policy)
| check the current connectivity of the lb_policy More...
void(* | notify_on_state_change )(grpc_lb_policy *policy, grpc_connectivity_state *state, grpc_iomgr_closure *closure)
| call notify when the connectivity state of a channel changes from *state. More...

## Field Documentation

void(* grpc_lb_policy_vtable::broadcast)(grpc_lb_policy *policy, grpc_transport_op *op)

broadcast a transport op to all subchannels

grpc_connectivity_state(* grpc_lb_policy_vtable::check_connectivity)(grpc_lb_policy *policy)

check the current connectivity of the lb_policy

void(* grpc_lb_policy_vtable::destroy)(grpc_lb_policy *policy)

void(* grpc_lb_policy_vtable::exit_idle)(grpc_lb_policy *policy)

try to enter a READY connectivity state

void(* grpc_lb_policy_vtable::notify_on_state_change)(grpc_lb_policy *policy, grpc_connectivity_state *state, grpc_iomgr_closure *closure)

call notify when the connectivity state of a channel changes from *state.

Updates *state with the new state of the policy

void(* grpc_lb_policy_vtable::pick)(grpc_lb_policy *policy, grpc_pollset *pollset, grpc_metadata_batch *initial_metadata, grpc_subchannel **target, grpc_iomgr_closure *on_complete)

implement grpc_lb_policy_pick

void(* grpc_lb_policy_vtable::shutdown)(grpc_lb_policy *policy)

The documentation for this struct was generated from the following file:

- src/core/client_config/lb_policy.h